header {
    width: 100%;
    height: var(--height-header);
    max-height: 100px;

    display: flex;
    align-items: center;

    padding: 0px 3%;
    box-sizing: border-box;
}

.bx_xb_hd {
    border: solid 1px var(--col-gold-1);

    padding: 2px 10px;

    width: fit-content;

    display: flex;
    align-items: baseline;
    justify-content: center;
    gap: 7px;
}

.p_x_hd,
.p_b_hd {
    display: flex;
    color: var(--col-gold-1);
}

.p_x_hd {
    font-family: alex, Arial, Helvetica, sans-serif;
    font-size: 2em;
}

.p_b_hd {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: 1.4em;
    font-weight: 300;
}

/* Conteneur barre de recherche */
.bbx_sb {
    margin-left: auto;
}

/* Formulaire */
.form_sb {
    margin: auto;

    height: 38px;
    width: fit-content;

    border-bottom: solid 1px var(--col-gold-1);

    display: flex;
    align-items: center;

    overflow: hidden;
}

.form_sb:hover {
    box-shadow: 0px 0px 3px var(--col-gold-1);
    transition: box-shadow 0.5s;
}

.form_sb_hover_effect {
    box-shadow: 0px 0px 3px var(--col-gold-1);
    transition: box-shadow 0.75s
}

/* Champ texte */
#input_sb {
    background: transparent;
    border: none;
    outline: none;

    padding: 0 15px;
    width: 220px;
    height: 90%;

    font-size: 1.1em;
    font-family: Helvetica, Arial, sans-serif;
}

/* Placeholder */
#input_sb::placeholder {
    color: #999;
    font-style: italic;
}

/* Bouton */
.btn_submit_sb {
    width: 42px;
    height: 100%;

    border: none;
    background: transparent;
    cursor: pointer;

    display: flex;
    align-items: center;
    justify-content: center;

    transition: background 0.3s;
}

.icon-loupe {
    width: 20px;
    aspect-ratio: 1/1;
}

.icon-loupe path {
    fill: var(--col-gold-1);
    stroke: var(--col-gold-1);
    stroke-width: 2px;
}

/* Icône loupe (CSS pur) 
    .btn_submit_sb::before {
    content: "🔍";
    font-size: 0.9em;
    color: var(--col-gold-1);
}*/

/* Hover bouton */
.btn_submit_sb:hover {
    background-color: var(--col-gold-1);
}

.btn_submit_sb:hover path {
    fill: var(--col-black-1);
    stroke: var(--col-black-1);
}

.btn_submit_sb:hover::before {
    color: rgb(14, 14, 14);
}

.box_suggest_sb {
    padding: 5px 10px;

    width: 100%;
    min-height: 25px;
    box-sizing: border-box;

    background-color: #fafafabd;

    display: none;

    position: absolute;
    z-index: 3;
    transform: translateY(5%);

    border-radius: 5px;

    backdrop-filter: blur(2px);
    opacity: 1;
    transition: 1s;
}

.p_suggest_sb {
    padding: 4px 6px;
    margin-bottom: 5px;

    color: #292929;

    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;

    border-radius: 1em;
    transition: 0.5s;
}

.p_suggest_sb:hover,
.p_suggest_sb_scroll {
    color: #1a1a1a;
    background-color: white;
    transition: 0.5s;
}

/*----------MEDIA QUERY------------------*/

@media screen and (max-width: 516px) {

    .bx_xb_hd {
        aspect-ratio: 1/1;
        border-radius: 50%;
        box-sizing: border-box;
        padding: 0;
        border: none;
        box-shadow: 1px 1px 1px var(--col-gold-1);
    }

    span[class^="p_x_letter_"]:not(.p_x_letter_x),
    span[class^="p_b_letter_"]:not(.p_b_letter_b) {
        display: none;
    }

    .p_b_hd {
        width: 1.5em;
        aspect-ratio: 1/1;
        font-size: 0.8em;
        box-sizing: border-box;
        justify-content: center;
        align-items: center;
        border-radius: 50%;
        background-color: var(--col-gold-1);
        color: white;
        font-weight: 400;
        transform: translate(-32%, 32%);
    }
}

@media screen and (max-width: 375px) {
    #input_sb {
        width: 175px;
    }
}